package org.zheng.demo.data;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class Person {
	private int age;
	
	@JsonProperty("person_name")
	private String name;

	@JsonCreator
	public Person(@JsonProperty(value = "person_name", required = true) String name, @JsonProperty("age") int age) {
		this.name = name;
		this.age = age;
	}

}
